Bug 481551 - (CVE-2008-5984) CVE-2008-5984 dia: untrusted python modules search path
CVE-2008-5984 dia: untrusted python modules search path
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
reported=20081103,public=20081102,sou...
: Security
Depends On: CVE-2008-5983
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 05:17 EST by Jan Lieskovsky
Modified: 2015-08-22 11:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-01-26 05:17:39 EST
Untrusted search path vulnerability in dia's Python plug-in alows local
users to execute arbitrary code via a Trojan horse Python file in
the current working directory, related to an erroneous setting of sys.path
by the PySys_SetArgv function.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504251

Test case and more discussion about this issue (and reason's why it can't
be fixed in Python is available at):
http://www.nabble.com/Bug-484305%3A-bicyclerepair%3A-bike.vim-imports-untrusted-python-files-from-cwd-td18848099.html

Proposed patch:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=5;filename=pythonpath.diff;att=1;bug=504251
Comment 1 Jan Lieskovsky 2009-01-26 05:21:38 EST
This issue affects all versions of the dia package, as shipped with Red Hat
Enterprise Linux 2.1 and 4.

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 2 Jan Lieskovsky 2009-01-26 05:22:44 EST
This issue affects all versions of the dia package, as shipped with Fedora
releases of 9, 10 and devel.

Please fix.
Comment 3 Caolan McNamara 2009-01-26 17:58:57 EST
F-9, F-10 & devel pushed
Comment 4 Fedora Update System 2009-01-26 20:46:05 EST
dia-0.96.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-01-26 20:57:10 EST
dia-0.96.1-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Jan Lieskovsky 2009-01-28 05:28:13 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5984 to
this vulnerability:

Untrusted search path vulnerability in the Python plugin in Dia
0.96.1, and possibly other versions, allows local users to execute
arbitrary code via a Trojan horse Python file in the current working
directory, related to a vulnerability in the PySys_SetArgv function
(CVE-2008-5983).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5984
http://www.openwall.com/lists/oss-security/2009/01/26/2
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=504251
http://www.securityfocus.com/bid/33448
http://secunia.com/advisories/33672
http://xforce.iss.net/xforce/xfdb/48262
Comment 7 Jan Lieskovsky 2009-01-29 06:29:11 EST
More explanation why this issue wasn't fixed in Python yet, can be
found here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c1

here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c4

and here:

https://bugzilla.redhat.com/show_bug.cgi?id=482814#c5

Looks like the Python fix won't come anytime soon, so please
fix the issue in the package, till we find the proper Python solution.

Ray Strode's test case to check the work of the fix can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=481556#c8

Note You need to log in before you can comment on or make changes to this bug.